# Gaze Detection 사용

동영상의 프레임에 시선 감지를 적용할 수 있습니다. Roboflow Video Inference API는 누군가가 바라보는 방향과 누군가가 바라보는 지점을 계산하는 데 필요한 데이터를 반환합니다.

[시선 감지 결과 후처리에 대해 자세히 알아보기](https://blog.roboflow.com/gaze-direction-position/).

### Video Inference API와 함께 Gaze Detection 사용하기

먼저 Roboflow Python 패키지를 설치하세요:

```bash
pip install roboflow
```

다음으로 새 Python 파일을 만들고 다음 코드를 추가하세요:

```python
from roboflow import Roboflow, GazeModel

rf = Roboflow(api_key="API_KEY")
model = GazeModel()

job_id, signed_url, expire_time = model.predict_video(
    "football-video.mp4",
    fps=5,
    prediction_type="batch-video",
)

results = model.poll_until_video_results(job_id)

print(results)
```

위에서 다음을 바꾸세요:

* `API_KEY`: Roboflow API 키로
* `PROJECT_NAME`: Roboflow 프로젝트 ID로.
* `MODEL_ID`: Roboflow 모델 ID로.

[API 키를 가져오는 방법 알아보기](https://docs.roboflow.com/api-reference/authentication#retrieve-an-api-key).

[모델 ID를 가져오는 방법 알아보기](https://docs.roboflow.com/api-reference/workspace-and-project-ids).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-ko/deploy/serverless/video-inference/use-gaze-detection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
